co.aikar.commands.annotation

## Annotation Type Dependency

    @Retention(value=RUNTIME)
     @Target(value=FIELD)
    public @interface Dependency

Injects a dependency into the field this is attached to. Any time a new dependency is registered, this will be overwritten.

### Optional Element Summary

Optional Elements
`String` `value` The key that should be used to lookup the instances, defaults to \"\"

### Element Detail

#### value

    public abstract String value

The key that should be used to lookup the instances, defaults to \"\"

Returns:
  the key

Default:
  ""